#!/bin/bash

export DOTFILES_DIR EXTRA_DIR
DOTFILES_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
EXTRA_DIR="$HOME/.extra"

# Update dotfiles itself first

[ -d "$DOTFILES_DIR/.git" ] && git --work-tree="$DOTFILES_DIR" --git-dir="$DOTFILES_DIR/.git" pull origin master

#vim backup folders
mkdir -p ~/.vim/{backup_files,swap_files,undo_files}

# Bunch of symlinks
#ln -sfv "$DOTFILES_DIR/run/.bash_profile" ~
ln -sfv "$DOTFILES_DIR/run/.bashrc" ~
ln -sfv "$DOTFILES_DIR/git/.gitconfig" ~
ln -sfv "$DOTFILES_DIR/system/.vimrc" ~

# Link .config files
ln -sfv "$DOTFILES_DIR/config/terminator" ~/.config/

# make .config directory for application specifics
#cp -r config "$HOME/.config"
#if [ ! -d "$HOME/.config" ]; then
#    mkdir "$HOME/.config"
#fi
